Subject: WG last call comments on draft-ietf-ccamp-ospf-interas-te-extension-02.txt

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 25 Mar 2008 18:24:17 -0000

Hi,

Here are a few very minor review comments.
It is probable that similar comments apply to the ISIS draft. Can you check?

Thanks,
Adrian
===
Header
s/Network work group/Network working group/
Please show names as "M. Chen"
===
Abstract
s/Engineering(TE)/Engineering (TE)/
s/information from other outside the AS/information from outside the AS/
===
OSPFv3-TE
I am currently trying to close an issue down with the OSPF WG chairs and the 
ADs.
Your I-D includes extensions to OSPFv3-TE as requested by the OSPF working 
group.
This means that you are correct to have the OSPFv3-TE draft as a Normative 
reference.
However, the OSPFv3-TE draft is stalled in the OSPF working group where:
- the draft has just expired
- there is more than one implementation
- there are no known deployments
- no interop testing has been done
This means that the OSPFv3-TE draft might not advance for some time and 
might leave your draft stalled in the RFC Editor queue.
I will update the working group as we make progress on this issue.
===
Section 2.1
s/excluded.:/excluded:/
===
Section 2.2
s/PATH/Path/ x2
s/Section 4.0/Section 4./
===
Section 2.3
s/TE link is particular/TE link is particularly/
===
Section 3.1.1
s/network-wide policy choice/AS-wide policy choice/
===
Section 3.2
s/Both/Both the/
===
Sections 3.3.1, 3.3.2, and 3.3.3
Please include a forward reference to Section 6.2 when you discuss the TLV 
type assignment and mention IANA.
===
Section 4
s/link , the ASBR/link, the ASBR/
s/consequently , an/consequently, an/
s/considering here(i.e.,/considering here (i.e.,/
===
Section 6.1
Please separate the OSPFv2 and OSPFv3 assignments into separate paragraphs 
(or sections).
Please reference the IANA registries by name "Opaque Link-State 
Advertisements (LSA) Option Types" for OSPFv2, and "Open Shortest Path First 
v3 (OSPFv3) Parameters" with sub-registry "OSPFv3 LSA Function Codes" for 
OSPFv3.
===
Section 8.2
[PD-PATH] is now RFC 5152
===

---

From: Mach Chen <[email-masked]>
Date: Wed, 26 Mar 2008 09:41:51 +0800

Hi Adrian,

Thanks for your useful comments, the next revision will be updated according to your comments ASAP.

Best regards,
Mach

---

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 26 Mar 2008 17:42:59 -0000

Hi all,

Just to give you an update on the dependency on OSPFv3-TE.

The ADs and OSPF working group chairs have agreed to re-submit the OSPFv3-TE 
draft and to last call it in the OSPF working group.

We can expect this to happen fairly soon (the I-D is already re-submitted) 
so it is OK for this CCAMP draft to keep its normative reference to the 
OSPFv3-TE draft.

The worst that will happen is that our draft will be held up in the RFC 
Editor's queue for a few extra weeks.

Adrian

>>OSPFv3-TE
>> I am currently trying to close an issue down
>> with the OSPF WG chairs and the ADs.
>> Your I-D includes extensions to OSPFv3-TE as
>> requested by the OSPF working group.
>> This means that you are correct to have the
>> OSPFv3-TE draft as a Normative reference.
>> This means that the OSPFv3-TE draft might not
>> advance for some time and might leave your
>> draft stalled in the RFC Editor queue.